Bug 490667 (CVE-2004-2541, CVE-2009-0148) - CVE-2004-2541, CVE-2009-0148 cscope: multiple buffer overflows
Summary: CVE-2004-2541, CVE-2009-0148 cscope: multiple buffer overflows
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2004-2541, CVE-2009-0148
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 499197 499198 499199 499200 499201 505605 833883
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-17 15:12 UTC by Tomas Hoger
Modified: 2019-09-29 12:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 14:44:34 UTC


Attachments (Terms of Use)
Original Debian patch for CVE-2004-2541 (9.17 KB, patch)
2009-05-06 09:11 UTC, Tomas Hoger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1101 normal SHIPPED_LIVE Moderate: cscope security update 2009-06-15 21:12:35 UTC
Red Hat Product Errata RHSA-2009:1102 normal SHIPPED_LIVE Moderate: cscope security update 2009-06-15 21:10:56 UTC

Description Tomas Hoger 2009-03-17 15:12:32 UTC
Apple Security Team reported multiple buffer overflows in cscope, caused by insecure sprintf usage.  Processing a maliciously crafted source file with cscope may lead to an unexpected application termination or arbitrary code execution.

Comment 4 Tomas Hoger 2009-05-05 14:38:11 UTC
This CVE is duplicate / re-occurrence of old issue CVE-2004-2541:

Buffer overflow in Cscope 15.5, and possibly multiple overflows, allows remote attackers to execute arbitrary code via a C file with a long #include line that is later browsed by the target.

It seems the original issue was not completely fixed upstream previously.

Comment 8 Tomas Hoger 2009-05-06 09:11:49 UTC
Created attachment 342619 [details]
Original Debian patch for CVE-2004-2541

Comment 10 errata-xmlrpc 2009-06-15 21:10:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1102 https://rhn.redhat.com/errata/RHSA-2009-1102.html

Comment 11 errata-xmlrpc 2009-06-15 21:12:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 3

Via RHSA-2009:1101 https://rhn.redhat.com/errata/RHSA-2009-1101.html


Note You need to log in before you can comment on or make changes to this bug.